import request from '../utils/request'
export interface IUser {
  id: string
  username: string
  showname: string
  comment: string
  locked: boolean
  avatar: string
  password: string
  account: string
}

export const defaultUser: IUser = {
  id: '',
  username: '',
  showname: '',
  comment: '',
  locked: false,
  password: '',
  avatar: '',
  account: '',
}
/**
 * @param data {account: string, token: string}
 */
export const getUserInfo = (data: any) =>
  request({
    url: '/webapp/index.php?c=BcUser&a=info',
    method: 'get',
    params: data,
  })

export const login = (data: any) =>
  request({
    url: '/webapp/index.php?c=Market&a=auth',
    method: 'get',
    params: data,
  })

export const logout = () =>
  request({
    url: '/api/user/logout',
    method: 'post',
  })
//
// export const changePass = (params: any) =>
//   request({
//     url: '/api/user/passwd',
//     method: 'post',
//     data: params
//   })

export const getNonce = (params: any) =>
  request({
    url: '/webapp/index.php?c=Market&a=getNonce',
    method: 'get',
    params: params,
  })
