import ChainManager from "./chain/ChainManager";
import { singleton } from "./decorator/singleton.decorator";
import { UserModule } from "./module/UserModule";

@singleton
export class JCChain {
  chainManager = new ChainManager();

  public login() {
    return this.chainManager.login();
  }

  public selectWalletAndLogin(walletType: number) {
    this.chainManager.bc.walletType = walletType;
    return this.chainManager.login();
  }

  logout() {
    return this.chainManager.logout();
  }

  get logined() {
    return !!UserModule.token;
  }

  get token() {
    return UserModule.token;
  }
  get account() {
    return UserModule.accountId;
  }

  get chainId() {
    return UserModule.chainId;
  }
}

export * from "./utils/event-bus";
export * from "./utils/chain.util";
export * from "./utils/browser";
