import Cookies from "js-cookie";

const languageKey = "language";
export const getLanguage = () => Cookies.get(languageKey);
export const setLanguage = (language: string) =>
  Cookies.set(languageKey, language);

const sizeKey = "size";
export const getSize = () => Cookies.get(sizeKey);
export const setSize = (size: string) => Cookies.set(sizeKey, size);

const miniKey = "mini";
export const getMini = () => Cookies.get(miniKey);
export const setMini = (mini: string) => Cookies.set(miniKey, mini);

// User
const tokenKey = "vue_typescript_access_token";
// export const getToken = () => localStorage.getItem(tokenKey)
// export const setToken = (token: string) => localStorage.setItem(tokenKey, token)
// export const removeToken = () => localStorage.removeItem(tokenKey)

// export const getItem = (key: string) => localStorage.getItem(key)
// export const setItem = (key: string, val: string) => localStorage.setItem(miniKey, val)
// export const removeItem = (key: string) => localStorage.removeItem(key)
export const generateDomain = () => {
  let host = location.host;
  let hostArr = host.split(".");
  if (host.length > 1) {
    host = hostArr.slice(hostArr.length - 2).join(".");
  }
  return host;
};
export const getToken = () => Cookies.get(tokenKey);
export const setToken = (token: string) => {
  const host = generateDomain();
  Cookies.set(tokenKey, token, { domain: host });
};
export const removeToken = () =>
  Cookies.remove(tokenKey, { domain: generateDomain() });
//TODO::
export const getItem = (key: string) => Cookies.get(key);
export const setItem = (key: string, val: string) => {
  const host = generateDomain();
  Cookies.set(key, val, { domain: host });
};
export const removeItem = (key: string) =>
  Cookies.remove(key, { domain: generateDomain() });
